Bug 1732150 - Scheduler: Improve config.openshift.io resource description
Summary: Scheduler: Improve config.openshift.io resource description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Mike Dame
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:27 UTC by Samuel Padgett
Modified: 2019-10-16 06:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:30:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Descriptions in console (248.56 KB, image/png)
2019-07-22 19:27 UTC, Samuel Padgett
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 399 None None None 2019-08-06 15:09:09 UTC
Github openshift cluster-config-operator pull 84 None None None 2019-08-06 18:02:56 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:37 UTC

Description Samuel Padgett 2019-07-22 19:27:27 UTC
Created attachment 1592688 [details]
Descriptions in console

The various cluster config config.openshift.io resource descriptions have been copied and pasted from each other and have no detail. Administrators don't know what these configurations are for. I've attached a screenshot of how this looks in console (not good) and why we want to update each description.

Per Clayton, this is a high severity bug.

Comment 1 ravig 2019-07-26 02:18:40 UTC
Mike, I think you already worked on this.

Comment 2 Mike Dame 2019-07-26 14:27:10 UTC
I think it should be up to the individual owners of these components to update their descriptions in openshift/api, as I probably do not personally have a detailed enough understanding of each config to write descriptive and accurate descriptions for all of them. I can however work on updating the Master components (which I believe are Project and APIServer)

Comment 3 Mike Dame 2019-08-08 18:35:24 UTC
Scheduler config description has been updated to "Scheduler holds cluster-wide config information to run the Kubernetes Scheduler and influence its placement decisions. The canonical name for this config is `cluster`."

Comment 4 ge liu 2019-08-16 07:20:11 UTC
Verified with  4.2.0-0.nightly-2019-08-15-205330 
the description is improved just like this:

APIServer holds configuration (like serving certificates, client CA and CORS domains) shared by all API servers in the system, among them especially kube-apiserver and openshift-apiserver. The canonical name of an instance is 'cluster'.

Authentication specifies cluster-wide settings for authentication (like OAuth and webhook token authenticators). The canonical name of an instance is `cluster`.

Comment 5 errata-xmlrpc 2019-10-16 06:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.